Page MenuHomePhabricator

MMV hash doesn't work on pages that were redirected
Closed, ResolvedPublic

Details

Reference
bz66246

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:20 AM
bzimport set Reference to bz66246.
bzimport added a subscriber: Unknown Object (MLST).
TheDJ created this task.Jun 6 2014, 8:01 AM
Tgr added a comment.Jun 6 2014, 8:50 PM

Both work for me; what browser/OS are you using?

TheDJ added a comment.Jun 10 2014, 7:49 AM

Doesn't work for me. Mac Safari 7, logged in user. It seems that the hash gets dropped, I can't even find it back in the request log of the browser...

Tgr added a comment.Jun 10 2014, 8:19 AM

Hashes are never sent to the webserver. Is there any error message in the JS console? I can't imagine how a redirect (which is not a HTTP redirect, just a regular page with an extra line of text after the <h2>) could affect anything.

MarkTraceur triaged this task as Normal priority.Nov 24 2014, 1:55 PM
MarkTraceur set Security to None.
TheDJ added a comment.Nov 24 2014, 4:53 PM

Hmm, I sometimes can make it work on a redirect when using ?debug=true. I suspect there might be some sort of race condition at work. Possibly due to the mediawiki.action.view.redirect script... ?

Tgr added a comment.Nov 24 2014, 9:10 PM

Oh yeah, redirects do a history.pushstate nowadays. Still, the code for that seems to correctly preserve the URL fragment, so I don't see why that would interfere with MediaViewer.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:35 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:35 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Jdlrobson closed this task as Resolved.May 10 2016, 4:38 PM
Jdlrobson claimed this task.
Jdlrobson added a subscriber: Jdlrobson.

Works in Safari, Firefox and Chrome